package code;

import java.io.IOException;
import java.io.OutputStream;

import com.sun.net.httpserver.HttpExchange;

public class Helper {
	
	public static void sendResponse(String response, HttpExchange exchange) throws IOException {
		exchange.sendResponseHeaders(200, response.getBytes().length);
		OutputStream os = exchange.getResponseBody();
		os.write(response.getBytes());
		os.close();
	}
	
	public static void pageNotFound(HttpExchange exchange) throws IOException {
		System.out.println("Page not found!");
		exchange.getResponseHeaders().remove("content-type");
		exchange.sendResponseHeaders(404, 0);
		exchange.getResponseBody().close();
	}
	
	public static void methodNotAllowed(HttpExchange exchange) throws IOException {
		System.out.println("Method not allowed!");
		exchange.getResponseHeaders().remove("content-type");
		exchange.sendResponseHeaders(405, 0);
		exchange.getResponseBody().close();
	}
	
	public static boolean compareText(String a, String b){
		return a.compareToIgnoreCase(b) == 0;
	}

}
